> ## Documentation Index
> Fetch the complete documentation index at: https://developer.woox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get algo order

> get algo order

**Limit: 10 requests per 1 second**\
Get algo order details by algoOrderId or clientAlgoOrderId.

<ResponseExample>
  ```bash theme={null}
  {
      "success": true,
      "data": {
          "algoOrderId": 792420,
          "clientAlgoOrderId": 0,
          "rootAlgoOrderId": 792420,
          "parentAlgoOrderId": 0,
          "symbol": "SPOT_WOO_USDT",
          "orderTag": "default",
          "algoType": "TRAILING_STOP",
          "side": "SELL",
          "positionSide": "BOTH",
          "quantity": 1,
          "isTriggered": false,
          "triggerStatus": "USELESS",
          "type": "MARKET",
          "rootAlgoStatus": "NEW",
          "algoStatus": "NEW",
          "triggerPriceType": "MARKET_PRICE",
          "triggerTime": "0",
          "totalExecutedQuantity": "0",
          "averageExecutedPrice": "0",
          "totalFee": "0",
          "feeAsset": "",
          "totalRebate": "0",
          "rebateCurrency": "USDT",
          "reduceOnly": false,
          "createdTime": 1696595230885,
          "updatedTime": 1696595230885,
          "isActivated": false,
          "callbackRate": "0.03",
          "activatedPrice": "0.21"
      },
      "timestamp": 1676283560233
  }
  ```
</ResponseExample>


## OpenAPI

````yaml GET /v3/trade/algoOrder
openapi: 3.0.2
info:
  title: Swagger Petstore - OpenAPI 3.0
  description: >-
    This is a sample Pet Store Server based on the OpenAPI 3.0 specification. 
    You can find out more about

    Swagger at [http://swagger.io](http://swagger.io). In the third iteration of
    the pet store, we've switched to the design first approach!

    You can now help us improve the API whether it's by making changes to the
    definition itself or to the code.

    That way, with time, we can improve the API in general, and expose some of
    the new features in OAS3.


    Some useful links:

    - [The Pet Store
    repository](https://github.com/swagger-api/swagger-petstore)

    - [The source API definition for the Pet
    Store](https://github.com/swagger-api/swagger-petstore/blob/master/src/main/resources/openapi.yaml)
  termsOfService: http://swagger.io/terms/
  contact:
    name: API Team
    email: apiteam@swagger.io
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: 1.0.19
servers:
  - url: https://api.woox.io/
security: []
externalDocs:
  description: Find out more about Swagger
  url: http://swagger.io
paths:
  /v3/trade/algoOrder:
    get:
      description: get algo order
      parameters:
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
            example: abcdef123456
          description: ''
        - name: x-api-signature
          in: header
          required: true
          schema:
            type: string
            example: signaturestring
          description: ''
        - name: x-api-timestamp
          in: header
          required: true
          schema:
            type: string
            example: '1718943200000'
          description: ''
        - name: algoOrderId
          in: query
          description: >-
            Id of the algo order; Either algoOrderId or clientAlgoOrderId is
            required. If both are passed, algoOrderId will be used.
          required: false
          explode: true
          schema:
            type: integer
            default: 1
        - name: clientAlgoOrderId
          in: query
          description: >-
            Client order Id as assigned by the user; Either algoOrderId or
            clientAlgoOrderId is required. If both are passed, algoOrderId will
            be used.
          required: false
          explode: true
          schema:
            type: integer
            default: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetAlgoOrderResponse'
      security: []
components:
  schemas:
    GetAlgoOrderResponse:
      allOf:
        - $ref: '#/components/schemas/CommonResponse'
        - type: object
          properties:
            data:
              type: object
              properties:
                algoOrderId:
                  type: integer
                  description: Unique identifier for the algorithmic order.
                clientAlgoOrderId:
                  type: integer
                  description: Client-generated algorithmic order ID.
                rootAlgoOrderId:
                  type: integer
                  description: Root algorithmic order ID.
                parentAlgoOrderId:
                  type: integer
                  description: Parent algorithmic order ID, 0 if none.
                symbol:
                  type: string
                  description: Trading pair identifier, e.g., SPOT_WOO_USDT.
                orderTag:
                  type: string
                  description: Tag associated with the order, e.g., 'default'.
                algoType:
                  type: string
                  description: Type of the algorithm, e.g., 'TRAILING_STOP'.
                  enum:
                    - STOP
                    - OCO
                    - TRAILING_STOP
                    - POSITIONAL_TP_SL
                    - TP_SL
                    - BRACKET
                    - STOP_BRACKET
                side:
                  type: string
                  description: Order direction, e.g., 'BUY' or 'SELL'.
                  enum:
                    - BUY
                    - SELL
                positionSide:
                  type: string
                  description: Position direction, e.g., 'BOTH'.
                  enum:
                    - BOTH
                    - LONG
                    - SHORT
                quantity:
                  type: integer
                  description: The quantity for the order.
                isTriggered:
                  type: boolean
                  description: Indicates if the order has been triggered.
                triggerStatus:
                  type: string
                  description: The trigger status of the order, e.g., 'USELESS'.
                  enum:
                    - USELESS
                    - TRIGGERED
                    - CANCELLED
                type:
                  type: string
                  description: Order type, e.g., 'MARKET'.
                  enum:
                    - LIMIT
                    - MARKET
                    - IOC
                    - POST_ONLY
                    - AC
                    - FOK
                    - LIQUIDATE
                    - BID
                    - ASK
                    - RPI
                rootAlgoStatus:
                  type: string
                  description: Status of the root algorithmic order, e.g., 'NEW'.
                  enum:
                    - NEW
                    - CANCELLED
                    - PARTIAL_FILLED
                    - FILLED
                    - REJECTED
                algoStatus:
                  type: string
                  description: Status of the algorithmic order, e.g., 'NEW'.
                  enum:
                    - NEW
                    - CANCELLED
                    - PARTIAL_FILLED
                    - FILLED
                    - REJECTED
                triggerPriceType:
                  type: string
                  description: The type of price used for triggering, e.g., 'MARKET_PRICE'.
                  enum:
                    - MARKET_PRICE
                    - INDEX_PRICE
                    - LAST_PRICE
                triggerTime:
                  type: string
                  description: >-
                    Timestamp for when the order is triggered, '0' if not
                    triggered.
                totalExecutedQuantity:
                  type: string
                  description: Total quantity executed.
                averageExecutedPrice:
                  type: string
                  description: Average price of executed quantity.
                totalFee:
                  type: string
                  description: Total fee charged for the order.
                feeAsset:
                  type: string
                  description: Asset used for paying the fees.
                totalRebate:
                  type: string
                  description: Total rebate received for the order.
                rebateCurrency:
                  type: string
                  description: Currency in which rebate is paid, e.g., 'USDT'.
                reduceOnly:
                  type: boolean
                  description: Indicates if the order is reduce-only.
                createdTime:
                  type: integer
                  description: Timestamp of when the order was created.
                updatedTime:
                  type: integer
                  description: Timestamp of when the order was last updated.
                isActivated:
                  type: boolean
                  description: Indicates if the order is activated.
                callbackRate:
                  type: string
                  description: Callback rate for the algorithm, e.g., '0.03'.
                activatedPrice:
                  type: string
                  description: Activated price for the algorithm, e.g., '0.21'.
                leverage:
                  type: integer
                  example: 10
                  description: ''
                marginMode:
                  type: string
                  example: ''
                  description: ''
                  enum:
                    - ISOLATED
                    - CROSSED
    CommonResponse:
      type: object
      properties:
        success:
          type: boolean
          description: 'true'
        timestamp:
          type: integer
          description: timestamp

````